<ion-header>
  <profilebar (onCurrentWeekChanged)="onCurrentWeekChanged($event)"></profilebar>
</ion-header>

<ion-content padding ng-show="!LoadingView" icon="spiral">
  <div class="sub-page-heading">
    <button tappable ion-button icon-left navPop class="back-btn flex-buffer"><div class="icon-backarrow"></div></button>
    <div class="title">Daily Workouts</div>
    <div class="flex-buffer"></div>
  </div>
  <ion-segment [(ngModel)]="currentDay">
    <ion-segment-button tappable value="1">1</ion-segment-button>
    <ion-segment-button tappable value="2">2</ion-segment-button>
    <ion-segment-button tappable value="3">3</ion-segment-button>
    <ion-segment-button tappable value="4">4</ion-segment-button>
    <ion-segment-button tappable value="5">5</ion-segment-button>
    <ion-segment-button tappable value="6">6</ion-segment-button>
    <ion-segment-button tappable value="7">7</ion-segment-button>
  </ion-segment>
  <ion-grid>
    <ion-row>
      <ion-col col-12 class="daily-workouts">
        <div [ngSwitch]="currentDay">
          <div *ngSwitchCase="1">
            <video #player1 width="100%" controls webkit-playsinline playsinline *ngIf="one && one.source_type==='video'" preload="none" [poster]="one.preview">
              <source [src]="one.src">
            </video>
            <img [src]="one.src" *ngIf="one && one.source_type==='image'">
            <div class="content" [innerHTML]="one && one.content"></div>
          </div>
          <div *ngSwitchCase="2">
            <video #player2 width="100%" controls webkit-playsinline playsinline *ngIf="two.source && two.source_type==='video'" preload="none" [poster]="two.preview">
              <source [src]="two.src">
            </video>
            <img [src]="two.src" *ngIf="two.source && two.source_type==='image'">
            <div *ngIf="two" class="content" [innerHTML]="two.content"></div>
          </div>
          <div *ngSwitchCase="3">
            <video #player3 width="100%" controls webkit-playsinline playsinline *ngIf="three.source && three.source_type==='video'" preload="none" [poster]="three.preview">
              <source [src]="three.src">
            </video>
            <img [src]="three.src" *ngIf="three.source && three.source_type==='image'">
            <div *ngIf="three" class="content" [innerHTML]="three.content"></div>
          </div>
          <div *ngSwitchCase="4">
            <video #player4 width="100%" controls webkit-playsinline playsinline *ngIf="four.source && four.source_type==='video'" preload="none" [poster]="four.preview">
              <source [src]="four.src">
            </video>
            <img [src]="four.src" *ngIf="four.source && four.source_type==='image'">
            <div *ngIf="four" class="content" [innerHTML]="four.content"></div>
          </div>
          <div *ngSwitchCase="5">
            <video #player5 width="100%" controls webkit-playsinline playsinline *ngIf="five.source && five.source_type==='video'" preload="none" [poster]="five.preview">
              <source [src]="five.src">
            </video>
            <img [src]="five.src" *ngIf="five.source && five.source_type==='image'">
            <div *ngIf="five" class="content" [innerHTML]="five.content"></div>
          </div>
          <div *ngSwitchCase="6">
            <video #player6 width="100%" controls webkit-playsinline playsinline *ngIf="six.source && six.source_type==='video'" preload="none" [poster]="six.preview">
              <source [src]="six.src">
            </video>
            <img [src]="six.src" *ngIf="six.source && six.source_type==='image'">
            <div *ngIf="six" class="content" [innerHTML]="six.content"></div>
          </div>
          <div *ngSwitchCase="7">
            <video #player7 width="100%" controls webkit-playsinline playsinline *ngIf="seven.source && seven.source_type==='video'" preload="none" [poster]="seven.preview">
              <source [src]="seven.src">
            </video>
            <img [src]="seven.src" *ngIf="seven.source && seven.source_type==='image'">
            <div *ngIf="seven" class="content" [innerHTML]="seven.content"></div>
          </div>
        </div>
      </ion-col>
    </ion-row>
  </ion-grid>
  
</ion-content>
